# PyTorch 0.2 中文文档

PyTorch 是使用 GPU 和 CPU 优化的深度学习张量库。

## 贡献者

本项目由 [awfssv](https://github.com/awfssv), [ycszen](https://github.com/ycszen), [KeithYin](https://github.com/KeithYin), [kophy](https://github.com/kophy), [swordspoet](https://github.com/swordspoet), [dyl745001196](https://github.com/dyl745001196), [koshinryuu](https://github.com/koshinryuu), [tfygg](https://github.com/tfygg), [weigp](https://github.com/weigq), [ZijunDeng](https://github.com/ZijunDeng), [yichuan9527](https://github.com/yichuan9527) 等 PyTorch 爱好者发起，并已获得 PyTorch 官方授权。我们目的是建立 [PyTorch](https://pytorch.org/docs/) 的中文文档，并力所能及地提供更多的帮助和建议。

本项目网址为 [pytorch-cn](http://pytorch-cn.readthedocs.io/zh/latest/)，文档翻译 QQ 群：628478868

如果你在使用 pytorch 和 pytorch-cn 的过程中有任何问题，欢迎在 issue 中讨论，可能你的问题也是别人的问题。

## 翻译进度

第一个名字代表翻译人，第二个代表审阅人

### Notes

- [x] Autograd mechanics (*ycszen*) (DL-ljw)
- [x] CUDA semantics (*ycszen*)
- [x] Extending PyTorch (*KeithYin*)
- [x] Multiprocessing best practices (*ycszen*)
- [x] Serialization semantics (*ycszen*)

### Package Reference

- [x] torch (*koshinryuu*) (飞彦)
- [x] torch.Tensor (*weigp*) (飞彦)
- [x] torch.Storage (*kophy*)
- [ ] **torch.nn**
  - [x] Parameters (*KeithYin*)
  - [x] Containers (*KeithYin*)
  - [x] Convolution Layers (*yichuan9527*)
  - [x] Pooling Layers (*yichuan9527*)
  - [x] Non-linear Activations (*swordspoet*)
  - [x] Normalization layers (*XavierLin*)
  - [x] Recurrent layers (*KeithYin*) (Mosout)
  - [x] Linear layers ( ) (Mosout)
  - [x] Dropout layers ( ) (Mosout)
  - [x] Sparse layers (Mosout)
  - [x] Distance functions
  - [x] Loss functions (*KeithYin*) (DL-ljw)
  - [x] Vision layers (*KeithYin*)
  - [x] Multi-GPU layers (*KeithYin*)
  - [x] Utilities (*KeithYin*)
- [x] torch.nn.functional
  - [x] Convolution functions (*ycszen*) (铁血丹心)
  - [x] Pooling functions (*ycszen*) (铁血丹心)
  - [x] Non-linear activations functions (*ycszen*)
  - [x] Normalization functions (*ycszen*)
  - [x] Linear functions (*dyl745001196*)
  - [x] Dropout functions (*dyl745001196*)
  - [x] Distance functions (*dyl745001196*)
  - [x] Loss functions (*tfygg*) (DL-ljw)
  - [x] Vision functions (*KeithYin*)
- [x] torch.nn.init (*kophy*) (luc)
- [x] torch.optim (*ZijunDeng*) (祁杰)
- [x] torch.autograd (*KeithYin*) (祁杰)
- [x] torch.multiprocessing (*songbo.han*)
- [x] torch.legacy (*ycszen*)
- [x] torch.cuda (*ycszen*)
- [x] torch.utils.ffi (*ycszen*)
- [x] torch.utils.data (*ycszen*)
- [x] torch.utils.model_zoo (*ycszen*)

### torchvision Reference

- [x] torchvision (*KeithYin*)
- [x] torchvision.datasets (*KeithYin*) (loop)
- [x] torchvision.models (*KeithYin*)
- [x] torchvision.transforms (*KeithYin*) (loop)
- [x] torchvision.utils (*KeithYin*)
