# 使用 PyTorch 进行深度学习：60 分钟的闪电战

> 原文： [https://pytorch.org/tutorials/beginner/deep_learning_60min_blitz.html](https://pytorch.org/tutorials/beginner/deep_learning_60min_blitz.html)

**作者**： [Soumith Chintala](http://soumith.ch)

<iframe allow="accelerometer; encrypted-media; gyroscope; picture-in-picture" allowfullscreen="" frameborder="0" height="315" src="https://www.youtube.com/embed/u7x8RXwLKcA" width="560"></iframe>

本教程的目标：

*   全面了解 PyTorch 的 Tensor 库和神经网络。
*   训练一个小型神经网络对图像进行分类

_本教程假定您对 numpy 有基本的了解。_

注意

确保已安装[torch](https://github.com/pytorch/pytorch)和[torchvision](https://github.com/pytorch/vision)软件包。

![../_images/tensor_illustration_flat.png](img/0c7a402331744a44f5e17575b1607904.jpg)

[什么是 PyTorch？](blitz/tensor_tutorial.html)

![../_images/autodiff.png](img/0a7a97c39d6dfc0e08d2701eb7a49231.jpg)

[Autograd：自动分化](blitz/autograd_tutorial.html)

![../_images/mnist1.png](img/be60e8e1f4baa0de87cf9d37c5325525.jpg)

[神经网络](blitz/neural_networks_tutorial.html)

![../_images/cifar101.png](img/7a28f697e6bab9f3d9b1e8da4a5a5249.jpg)

[训练分类器](blitz/cifar10_tutorial.html)

![../_images/data_parallel.png](img/c699a36b37c0fd5aec258278788c1216.jpg)

[可选：数据并行](blitz/data_parallel_tutorial.html)
