* [PyTorch 中文教程](README.md)
* [PyTorch 1.4 教程&文档](docs/1.4/README.md)
*  入门
    * [使用 PyTorch 进行深度学习：60 分钟的闪电战](docs/1.4/4.md)
        * [什么是PyTorch？](docs/1.4/blitz/tensor_tutorial.md)
        * [Autograd：自动求导](docs/1.4/blitz/autograd_tutorial.md)
        * [神经网络](docs/1.4/blitz/neural_networks_tutorial.md)
        * [训练分类器](docs/1.4/blitz/cifar10_tutorial.md)
        * [可选：数据并行](docs/1.4/blitz/data_parallel_tutorial.md)
    * [编写自定义数据集，数据加载器和转换](docs/1.4/5.md)
    * [使用 TensorBoard 可视化模型，数据和训练](docs/1.4/6.md)
*  图片
    * [TorchVision 对象检测微调教程](docs/1.4/8.md)
    * [转移学习的计算机视觉教程](docs/1.4/9.md)
    * [空间变压器网络教程](docs/1.4/10.md)
    * [使用 PyTorch 进行神经传递](docs/1.4/11.md)
    * [对抗示例生成](docs/1.4/12.md)
    * [DCGAN 教程](docs/1.4/13.md)
*  音频
    * [torchaudio 教程](docs/1.4/15.md)
*  文本
    * [NLP From Scratch: 使用char-RNN对姓氏进行分类](docs/1.4/17.md)
    * [NLP From Scratch: 生成名称与字符级RNN](docs/1.4/18.md)
    * [NLP From Scratch: 基于注意力机制的 seq2seq 神经网络翻译](docs/1.4/19.md)
    * [使用 TorchText 进行文本分类](docs/1.4/20.md)
    * [使用 TorchText 进行语言翻译](docs/1.4/21.md)
    * [使用 nn.Transformer 和 TorchText 进行序列到序列建模](docs/1.4/22.md)
*  命名为 Tensor(实验性）
    * [(实验性）PyTorch 中的命名张量简介](docs/1.4/24.md)
*  强化学习
    * [强化学习(DQN）教程](docs/1.4/26.md)
*  在生产中部署 PyTorch 模型
    * [通过带有 Flask 的 REST API 在 Python 中部署 PyTorch](docs/1.4/28.md)
    * [TorchScript 简介](docs/1.4/29.md)
    * [在 C ++中加载 TorchScript 模型](docs/1.4/30.md)
    * [(可选）将模型从 PyTorch 导出到 ONNX 并使用 ONNX Runtime 运行](docs/1.4/31.md)
*  并行和分布式训练
    * [单机模型并行最佳实践](docs/1.4/33.md)
    * [分布式数据并行入门](docs/1.4/34.md)
    * [用 PyTorch 编写分布式应用程序](docs/1.4/35.md)
    * [分布式 RPC 框架入门](docs/1.4/36.md)
    * [(高级）带有 Amazon AWS 的 PyTorch 1.0 分布式训练师](docs/1.4/37.md)
*  扩展 PyTorch
    * [使用自定义 C ++运算符扩展 TorchScript](docs/1.4/39.md)
    * [使用自定义 C ++类扩展 TorchScript](docs/1.4/40.md)
    * [使用 numpy 和 scipy 创建扩展](docs/1.4/41.md)
    * [自定义 C ++和 CUDA 扩展](docs/1.4/42.md)
*  模型优化
    * [LSTM Word 语言模型上的(实验）动态量化](docs/1.4/44.md)
    * [(实验性）在 PyTorch 中使用 Eager 模式进行静态量化](docs/1.4/45.md)
    * [(实验性）计算机视觉教程的量化转移学习](docs/1.4/46.md)
    * [(实验）BERT 上的动态量化](docs/1.4/47.md)
    * [修剪教程](docs/1.4/48.md)
*  PyTorch 用其他语言
    * [使用 PyTorch C ++前端](docs/1.4/50.md)
*  PyTorch 基础知识
    * [通过示例学习 PyTorch](docs/1.4/52.md)
    * [torch.nn 到底是什么？](docs/1.4/53.md)
*  文件
*  笔记
    * [自动求导机制](docs/1.4/56.md)
    * [广播语义](docs/1.4/57.md)
    * [CPU 线程和 TorchScript 推断](docs/1.4/58.md)
    * [CUDA 语义](docs/1.4/59.md)
    * [分布式 Autograd 设计](docs/1.4/60.md)
    * [扩展 PyTorch](docs/1.4/61.md)
    * [经常问的问题](docs/1.4/62.md)
    * [大规模部署的功能](docs/1.4/63.md)
    * [并行处理最佳实践](docs/1.4/64.md)
    * [重现性](docs/1.4/65.md)
    * [远程参考协议](docs/1.4/66.md)
    * [序列化语义](docs/1.4/67.md)
    * [Windows 常见问题](docs/1.4/68.md)
    * [XLA 设备上的 PyTorch](docs/1.4/69.md)
*  语言绑定
    * [PyTorch C ++ API](docs/1.4/71.md)
    * [PyTorch Java API](docs/1.4/72.md)
*  Python API
    * [torch](docs/1.4/74.md)
    * [torch.nn](docs/1.4/75.md)
    * [torch功能](docs/1.4/76.md)
    * [torch张量](docs/1.4/77.md)
    * [张量属性](docs/1.4/78.md)
    * [自动差分包-Torch.Autograd](docs/1.4/79.md)
    * [torch.cuda](docs/1.4/80.md)
    * [分布式通讯包-Torch.Distributed](docs/1.4/81.md)
    * [概率分布-torch分布](docs/1.4/82.md)
    * [torch.hub](docs/1.4/83.md)
    * [torch脚本](docs/1.4/84.md)
    * [torch.nn.init](docs/1.4/85.md)
    * [torch.onnx](docs/1.4/86.md)
    * [torch.optim](docs/1.4/87.md)
    * [量化](docs/1.4/88.md)
    * [分布式 RPC 框架](docs/1.4/89.md)
    * [torch随机](docs/1.4/90.md)
    * [torch稀疏](docs/1.4/91.md)
    * [torch存储](docs/1.4/92.md)
    * [torch.utils.bottleneck](docs/1.4/93.md)
    * [torch.utils.checkpoint](docs/1.4/94.md)
    * [torch.utils.cpp_extension](docs/1.4/95.md)
    * [torch.utils.data](docs/1.4/96.md)
    * [torch.utils.dlpack](docs/1.4/97.md)
    * [torch.utils.model_zoo](docs/1.4/98.md)
    * [torch.utils.tensorboard](docs/1.4/99.md)
    * [类型信息](docs/1.4/100.md)
    * [命名张量](docs/1.4/101.md)
    * [命名为 Tensors 操作员范围](docs/1.4/102.md)
    * [糟糕！](docs/1.4/103.md)
*  torchvision参考
    * [torchvision](docs/1.4/105.md)
*  音频参考
    * [torchaudio](docs/1.4/107.md)
*  torchtext参考
    * [torchtext](docs/1.4/109.md)
*  社区
    * [PyTorch 贡献指南](docs/1.4/111.md)
    * [PyTorch 治理](docs/1.4/112.md)
    * [PyTorch 治理| 感兴趣的人](docs/1.4/113.md)
